package identity_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type IdentityAuthUnbindRequest struct {
	// <ext>core:true</ext> 【用户唯一标识】用户唯一标识
	BizId string `json:"bizId"`
}

func (obj IdentityAuthUnbindRequest) GetUrl() string {
	return "/identity/auth/unbind"
}

func (obj IdentityAuthUnbindRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
